漏洞信息详情

rollup-plugin-serve 路径遍历漏洞

  • CNNVD编号:CNNVD-202007-1533
  • 危害等级: 高危
  • CVE编号: CVE-2020-7683
  • 漏洞类型: 路径遍历
  • 发布时间: 2020-07-25
  • 威胁类型: 远程
  • 更新时间: 2020-07-28
  • 厂        商:
  • 漏洞来源:

漏洞简介

rollup-plugin-serve是一款JavaScript的模块捆绑程序软件包。

rollup-plugin-server(所有版本)中的‘readFileFromContentBase’函数的readFile操作存在安全漏洞,该漏洞源于程序未清理路径。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.npmjs.com/package/rollup-plugin-server

参考网址

来源:MISC

链接:https://snyk.io/vuln/SNYK-JS-ROLLUPPLUGINSERVER-590123

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-7683

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多